/*

IAException.java 
  -- classes implementing interval arithmetic runtime exceptions,
     as part of the "ia_math library" version 0.1beta1, 10/97

Copyright (C) 1997 Timothy J. Hickey

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the
Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA  02111-1307, USA.

 */


package ia_math;

/**
 * These exceptions are thrown when there is a runtime
 * error in the Interval Arithmetic methods. The most
 * common error is when the interval is empty. In this
 * case the message is "Empty Interval".
 */

public class IAException extends RuntimeException {

  public IAException() {
    super();
  }

  public IAException(String s) {
    super(s);
  }

}
